Wednesday, August 08, 2012

RequireJS 2.0.5 released

RequireJS 2.0.5 is available, along with almond 0.1.2 that matches the 2.0.5 behavior.

The most notable changes:
Complete listing of:


Anonymous said...

I have tried to make my Javascript library compatible with AMD loaders, but how does someone 'require' what I have 'defined' in my library, if it is anonymous? What am I missing?

James Burke said...

Anonymous: anonymous modules are given a name by the modules that call them, by the dependency name they used. So if a module does require('foo'), then your anonymous module's exported value will be stored for the module ID 'foo' in the loader.